<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * This class represents email recipient for Notificator
 */
class EmailRecipient
{
    /**
     * @var string recipient email
     */
    public $to;

    /**
     * @var string sender email
     */
    public $from;

    /**
     * @var string name which will used in mail header
     */
    public $name;

    /**
     * @var bool if skip validation rules in MailNotificator
     */
    public $skipValidation;

    /**
     * Constructor
     *
     * @param string $to             email of recipient
     * @param string $from           email of sender
     * @param string $name           name of recipient
     * @param bool   $skipValidation defines if validation should be skipped
     *
     * @return \EmailRecipient
     */
    public function __construct($to, $from = '', $name = '', $skipValidation = false)
    {
        $this->to = $to;
        $this->from = $from;
        $this->name = $name;
        $this->skipValidation = $skipValidation;
    }

}
