<?php
/**
 * Proxy controller. Sends all requests to /rights/assignment
 */
class RightsAssignmentController extends Controller
{
    /**
     * @return array action filters
     */
    public function filters()
    {
        return array(
            'accessControl', // perform access control for CRUD operations
        );
    }

    /**
     * Specifies the access control rules.
     * This method is used by the 'accessControl' filter.
     * @return array access control rules
     */
    public function accessRules()
    {
        return array(
            array('allow',
                'roles' => array('Admin'),
            ),
            array('deny', // deny all users
                'users' => array('*'),
            ),
        );
    }

    public function getBaseUrl()
    {
        return Yii::app()->createUrl('/user/admin');
    }

    public function actionView()
    {
        $controller = Yii::app()->createController('/rights/assignment');
        $controller[0]->invoker = $this;
        $controller[0]->init();
        $controller[0]->layout = $this->layout;
        $controller[0]->actionView();
    }

    public function actionUser()
    {
        $controller = Yii::app()->createController('/rights/assignment');
        $controller[0]->invoker = $this;
        $controller[0]->init();
        $controller[0]->layout = $this->layout;
        $controller[0]->actionUser();
    }

    public function actionRevoke()
    {
        $controller = Yii::app()->createController('/rights/assignment');
        $controller[0]->invoker = $this;
        $controller[0]->init();
        $controller[0]->layout = $this->layout;
        $controller[0]->actionRevoke();
    }

}
