<div class="user-profile-edit-widget">
    <a name="UserProfileEditWidget"></a>

    <h2><?php echo UserModule::t('Edit profile'); ?></h2>

    <?php if (Yii::app()->user->hasFlash('approveState')): ?>
    <div class="success">
        <?php echo Yii::app()->user->getFlash('approveState'); ?>
    </div>
    <?php endif; ?>

    <?php if (Yii::app()->user->hasFlash('profileMessage')): ?>
    <div class="success">
        <?php echo Yii::app()->user->getFlash('profileMessage'); ?>
    </div>
    <?php endif; ?>
    <div class="form">
        <?php $form = $this->beginWidget('CActiveForm', array(
        'id' => 'profile-form',
        'action' => Yii::app()->createUrl('/user/profile/edit/', array('return_url' => Yii::app()->request->getRequestUri() . '#UserProfileEditWidget')),
        'enableAjaxValidation' => true,
        'clientOptions' => array(
            'validateOnSubmit' => true
        ),
        'htmlOptions' => array('enctype' => 'multipart/form-data'),
    )); ?>

        <p class="note"><?php echo UserModule::t('Fields with <span class="required">*</span> are required.'); ?></p>

        <?php echo $form->errorSummary(array($model, $profile)); ?>
        <div class="row">
            <?php echo $form->labelEx($model, 'username'); ?>
            <?php echo $form->textField($model, 'username', array('size' => 20, 'maxlength' => 20)); ?>
            <?php echo $form->error($model, 'username'); ?>
        </div>
        <div class="nofloat"></div>

        <div class="row">
            <?php echo $form->labelEx($model, 'email'); ?>
            <?php echo $form->textField($model, 'email', array('size' => 60, 'maxlength' => 128)); ?>
            <?php echo $form->error($model, 'email'); ?>
        </div>
        <?php
        $profileFields = $profile->getFields();
        if ($profileFields) {
            foreach ($profileFields as $field) {
                ?>
                <div class="row">
                    <?php echo $form->labelEx($profile, $field->varname);

                    if ($widget = $field->widgetEdit($profile)) {
                        echo $widget;
                    } elseif ($field->range) {
                        /*  we should display corresponding field based on it's content*/
                        $pos = strpos($field->range, '-');

                        if ($pos === false) {
                            /*  show as dropdown box */
                            echo $form->dropDownList($profile, $field->varname, Profile::range($field->range));
                        } else {
                            $tag = substr($field->range, 0, $pos);
                            switch ($tag) {
                                case 'checkbox':
                                    $field->range = substr($field->range, $pos + 1);
                                    /*  show as checkbox    */
                                    echo $form->checkBox($profile, $field->varname, Array('uncheckValue' => ""));
                                    break;
                                case 'radio':
                                    $field->range = substr($field->range, $pos + 1);
                                    echo $form->radioButtonList($profile, $field->varname, Profile::range($field->range), array('labelOptions' => Array('class' => 'inline_label')));
                                    break;
                                case 'select':
                                    $field->range = substr($field->range, $pos + 1);
                                    echo $form->dropDownList($profile, $field->varname, Profile::range($field->range));
                                    break;
                                default:
                                    echo $form->dropDownList($profile, $field->varname, Profile::range($field->range));
                            }
                        }
                    } elseif ($field->field_type == "TEXT") {
                        echo $form->textArea($profile, $field->varname, array('rows' => 6, 'cols' => 50));
                    } else {
                        echo $form->textField($profile, $field->varname, array('size' => 60, 'maxlength' => (($field->field_size) ? $field->field_size : 255)));
                    }
                    echo $form->error($profile, $field->varname); ?>
                </div>
                <div class="nofloat"></div>
                <?php
            }
        }
        ?>

        <div class="nofloat"></div>

        <div class="row buttons">
            <?php echo CHtml::submitButton($model->isNewRecord ? UserModule::t('Create') : UserModule::t('Save')); ?>
        </div>

        <?php $this->endWidget(); ?>

    </div>
    <!-- form -->
</div>